--- title: "Add New User" url: https://docs.catalyst.zoho.com/en/api/code-reference/cloud-scale/authentication/add-new-user/ description: "This API enables you to add a new end-user to a Catalyst application for a specific platform through Catalyst Authentication" last_updated: 2026-08-17T12:16:04Z service: Cloud Scale type: api --- # Authentication [Catalyst Authentication](https://docs.catalyst.zoho.com/en/cloud-scale/help/authentication/introduction) features enable you to add end-users to your Catalyst serverless applications, configure their user accounts and roles, and manage user sign-in and authentication of your application. # Add a New User ### Description This API enables you to add a new end-user to the Catalyst application for a specific platform. When the user has signed up, unique identification values such as [`ZUID`, `userID`](https://docs.catalyst.zoho.com/en/cloud-scale/help/authentication/user-management/users/introduction/) are created for them. > **Note:** You will be able to add only 25 users in your application in the [development environment](https://docs.catalyst.zoho.com/en/deployment-and-billing/environments/introduction). After you deploy your application to production, you can include any number of end-users in it. ### Request Details #### Request URL `POST` {api-domain}/baas/v1/project/{project_id}/project-user/signup - **api-domain** (URL): The DC-specific domain to access Catalyst API - **project_id** (Numerical): The [unique ID](https://docs.catalyst.zoho.com/en/getting-started/set-up-a-catalyst-project/general-settings/) of the project #### Request Headers **Authorization:** Zoho-oauthtoken {oauth_token} **Content-Type:** application/json **Optional Headers** **CATALYST-ORG:** {org_id} **Environment:** Development #### Scope ZohoCatalyst.projects.users.CREATE #### Request JSON Properties - **platform_type** (string, mandatory): Accepted values: `web`, `android`, `ios` - **redirect_url** (string, optional): The URL to be redirected to, after the user signs up for the application Max Size: 200 - **user_details** (json, mandatory): The JSON that contains the details of the user - - **first_name** (string, mandatory): First name of the user Max Size: 100 - - **last_name** (string, optional): Last name of the user Max Size: 100 - - **email_id** (string, mandatory): Email address of the user ### Response Details The response will contain the details of the user added in the `data` key, including the metadata and identification values such as `zaid`, `user_id`, and `org_id` that were generated. **Sample Request** ```bash curl -X POST \ https://api.catalyst.zoho.com/baas/v1/project/3000000002001/project-user/signup \ -H "Authorization: Zoho-oauthtoken 1000.910*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*16.2f*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*57" \ -H "Content-Type: application/json" \ -H "PROJECT_ID: 1010309726" \ -d '{ "user_details":{ "first_name":"Rowena", "last_name":"Simmons", "email_id":"r.simmons@zylker.com" }, "platform_type":"web", "redirect_url":"https://logistics.zylker.com/app/index.html" }' ``` **Sample Response** ```json { "status": "success", "data": { "zaid": 1010309726, "user_details": { "user_id": 671930455, "user_type": "App Administrator", "zuid": 3000000006001, "zaaid": 1011520995, "status": "ACTIVE", "is_confirmed": true, "email_id": "r.simmons@zylker.com", "first_name": "Rowena", "last_name": "Simmons", "created_time": "May 13, 2019 09:16 PM", "modified_time": "May 13, 2019 09:16 PM", "invited_time": "May 13, 2019 09:16 PM", "role_details": { "role_id": 1256000000288012, "role_name": "App Administrator" } }, "redirect_url": "https://logistics.zylker.com/app/index.html", "platform_type": "web", "org_id": 1011520995 "locale": "us|en_us|America/Los_Angeles" "time_zone": "America/Los_Angeles" } } ``` ### SDK Documentation [Add New User- Java SDK](https://docs.catalyst.zoho.com/en/sdk/java/v1/cloud-scale/authentication/add-new-user) [Add New User- Node.js SDK](https://docs.catalyst.zoho.com/en/sdk/nodejs/v2/cloud-scale/authentication/add-new-user) [Add New User- Python SDK](https://docs.catalyst.zoho.com/en/sdk/python/v1/cloud-scale/authentication/add-new-user) [Add New User- Web SDK](https://docs.catalyst.zoho.com/en/sdk/web/v4/cloud-scale/authentication/add-new-user)